# Read Identity Resolution Configuration

Read an identity resolution configuration of the current user.

Endpoint: GET /configurations/entityresolution/{configurationId}
Version: 2
Security: apiKey

## Security:

  - `apiKey` (unknown)
    apiKey in header X-API-KEY

## Path parameters:

  - `configurationId` (string, required)
    ID of the configuration.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `id` (string)
    Uniquely identifies a configuration.
    Example: c074b9f3-abf0-4f8e-9a20-74deb6cfa2a4

  - `name` (string)
    Display name for a configuration.
    Example: Client configuration.

  - `version` (integer)
    Version number of the configuration.
    Example: 1

  - `configuration` (object)
    Configuration for Identity Resolution

  - `configuration.candidateSearchConfiguration` (object)
    Configuration for candidate search.

  - `configuration.candidateSearchConfiguration.maxCandidates` (integer)
    Maximum number of candidates to return.
    Example: 10

  - `configuration.candidateSearchConfiguration.searchAttributes` (array)
    List of attributes to use for candidate search.

  - `configuration.candidateSearchConfiguration.searchAttributes.jsonPath` (string)
    RFC9535-compliant JSON path to the attribute.
Possible values:
- `$.identifiers[?(@.type.technicalKey=='GS1_GLN')].value`
- `$.addresses[0].country.value`
- `$.record['Country']`
    Example: $.externalId

  - `configuration.generalMatchingConfiguration` (object)
    Configuration for Matching

  - `configuration.generalMatchingConfiguration.threshold` (number)
    The threshold for the data matching.
    Example: 0.5

  - `configuration.generalMatchingConfiguration.thresholdMaybe` (number)
    Threshold for maybe matching.
    Example: 0.6

  - `configuration.generalMatchingConfiguration.matchingAttributes` (array)
    List of attributes to use for matching.

  - `configuration.generalMatchingConfiguration.matchingAttributes.name` (string)
    Name of the attribute.
    Example: Name

  - `configuration.generalMatchingConfiguration.matchingAttributes.jsonPath` (string)
    RFC9535-compliant JSON path to the attribute.
Possible values:
- `businessPartner.identifiers[?(@.type.technicalKey=='GS1_GLN')].value`
- `businessPartner.identifiers[0].value`
- `record['Country']`
    Example: businessPartner.identifiers[?(@.type.technicalKey=='GS1_GLN')].value

  - `configuration.generalMatchingConfiguration.matchingAttributes.cleaners` (array)
    List of cleaners to apply to the attribute.

  - `configuration.generalMatchingConfiguration.matchingAttributes.cleaners.name` (string)
    Name of the attribute.
    Example: LowerCaseNormalizeCleaner

  - `configuration.generalMatchingConfiguration.matchingAttributes.cleaners.parameters` (array)
    Configuration for the cleaner.

  - `configuration.generalMatchingConfiguration.matchingAttributes.cleaners.parameters.name` (string)
    The name of the parameter.
    Example: formula

  - `configuration.generalMatchingConfiguration.matchingAttributes.cleaners.parameters.value` (object)
    The value of the parameter.
    Example: JACCARD

  - `configuration.generalMatchingConfiguration.matchingAttributes.high` (number)
    High weight for the attribute.
    Example: 0.6

  - `configuration.generalMatchingConfiguration.matchingAttributes.low` (number)
    Low weight for the attribute.
    Example: 0.5

  - `configuration.generalMatchingConfiguration.matchingAttributes.comparator` (object)
    Configuration for comparing attributes

  - `configuration.generalMatchingConfiguration.matchingAttributes.comparator.name` (string)
    Name of the comparator.
    Example: QGramComparator

  - `configuration.generalMatchingConfiguration.matchingAttributes.comparator.parameters` (array)
    Configuration for the comparator.

  - `configuration.scopedMatchingConfigurations` (array)
    List of configurations for scoped matching

  - `configuration.scopedMatchingConfigurations.scope` (object)
    Scope definition

  - `configuration.scopedMatchingConfigurations.scope.jsonPath` (string)
    RFC9535-compliant JSON path to the attribute.
Possible values:
- `businessPartner.identifiers[?(@.type.technicalKey=='GS1_GLN')].value`
- `businessPartner.identifiers[0].value`
- `businessPartner.record['Country']`
    Example: businessPartner.addresses[0].country.shortName

  - `configuration.scopedMatchingConfigurations.scope.matchingValues` (array)
    List of values that trigger this scoped configuration when matched against the value extracted from the specified JSON path.
    Example: ["DE","CH","AT"]

  - `createdAt` (string)
    Date of creation (ISO 8601-compliant).
    Example: 2026-11-11T03:23:28Z

  - `modifiedAt` (string)
    Date of modification (ISO 8601-compliant).
    Example: 2026-11-11T03:23:28Z

  - `createdBy` (string)
    Creator of a resource.
    Example: 76248934691294444

  - `defaultConfiguration` (boolean)
    Is default workspace configuration. Only one configuration of the same type can be a default configuration in a given workspace.
    Example: true

  - `transactionId` (string)
    Id of the transaction, pass it in subsequent requests to make them part of the transaction.
    Example: 8e37da1e-ee9d-4ee0-b03d-24a1f89988f2

## Response 400:

  - `400` (unknown)
    Bad request, for example, missing organization ID.

## Response 400 fields (application/json):

  - `status` (object)
    Details about status or error of a service

  - `status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: 200

  - `status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: OK

  - `status.details` (array, required)

  - `status.details.id` (integer, required)
    9-digit code which is uniquely identifying a message
    Example: 200000004

  - `status.details.message` (string, required)
    Human-readable message which may also be presented in user interface.
    Example: The job came to an end and finished successfully.

  - `status.details.technicalKey` (string)
    Technical key to uniquely identify a message.
    Example: JOB_FINISHED

  - `status.details.jsonPath` (string)
    JSONPath as specified by the IETF standard
    Example: $.businessPartner.names[0].value

  - `status.details.jsonRecord` (string)
    Object provided in plain JSON format.
    Example: { "key" : "value"}

  - `status.path` (string)
    Requested path which caused this error.
    Example: /v2/businesspartners/lookup

  - `status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: 2026-11-11T03:23:28Z

## Response 401:

  - `401` (unknown)
    Unauthorized access.

## Response 401 fields (application/json):

  - `status` (object)
    Details about status or error of a service

  - `status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: 200

  - `status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: OK

  - `status.details` (array, required)

  - `status.details.id` (integer, required)
    9-digit code which is uniquely identifying a message
    Example: 200000004

  - `status.details.message` (string, required)
    Human-readable message which may also be presented in user interface.
    Example: The job came to an end and finished successfully.

  - `status.details.technicalKey` (string)
    Technical key to uniquely identify a message.
    Example: JOB_FINISHED

  - `status.details.jsonPath` (string)
    JSONPath as specified by the IETF standard
    Example: $.businessPartner.names[0].value

  - `status.details.jsonRecord` (string)
    Object provided in plain JSON format.
    Example: { "key" : "value"}

  - `status.path` (string)
    Requested path which caused this error.
    Example: /v2/businesspartners/lookup

  - `status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: 2026-11-11T03:23:28Z

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `status` (object)
    Details about status or error of a service

  - `status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: 200

  - `status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: OK

  - `status.details` (array, required)

  - `status.details.id` (integer, required)
    9-digit code which is uniquely identifying a message
    Example: 200000004

  - `status.details.message` (string, required)
    Human-readable message which may also be presented in user interface.
    Example: The job came to an end and finished successfully.

  - `status.details.technicalKey` (string)
    Technical key to uniquely identify a message.
    Example: JOB_FINISHED

  - `status.details.jsonPath` (string)
    JSONPath as specified by the IETF standard
    Example: $.businessPartner.names[0].value

  - `status.details.jsonRecord` (string)
    Object provided in plain JSON format.
    Example: { "key" : "value"}

  - `status.path` (string)
    Requested path which caused this error.
    Example: /v2/businesspartners/lookup

  - `status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: 2026-11-11T03:23:28Z

## Response 500:

  - `500` (unknown)
    Internal server error

## Response 500 fields (application/json):

  - `status` (object)
    Details about status or error of a service

  - `status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: 200

  - `status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: OK

  - `status.details` (array, required)

  - `status.details.id` (integer, required)
    9-digit code which is uniquely identifying a message
    Example: 200000004

  - `status.details.message` (string, required)
    Human-readable message which may also be presented in user interface.
    Example: The job came to an end and finished successfully.

  - `status.details.technicalKey` (string)
    Technical key to uniquely identify a message.
    Example: JOB_FINISHED

  - `status.details.jsonPath` (string)
    JSONPath as specified by the IETF standard
    Example: $.businessPartner.names[0].value

  - `status.details.jsonRecord` (string)
    Object provided in plain JSON format.
    Example: { "key" : "value"}

  - `status.path` (string)
    Requested path which caused this error.
    Example: /v2/businesspartners/lookup

  - `status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: 2026-11-11T03:23:28Z

## Response 200 examples:

  - `Showcase response of identity resolution configuration` (unknown)

